using Json2CSharpCodeGenerator.Lib;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace Json2CSharpCodeGenerator.Tests;

[TestClass]
public class Test_5_BASIC_SCENARIO
{

    [TestMethod]
    public void Run()
    {
        string path = Path.Combine(AppContext.BaseDirectory, "Test_5_BASIC_SCENARIO_INPUT.txt");
        string resultPath = Path.Combine(AppContext.BaseDirectory, "Test_5_BASIC_SCENARIO_OUTPUT.txt");
        string input = File.ReadAllText(path);

        JsonClassGenerator jsonClassGenerator = new();

        string returnVal = jsonClassGenerator.GenerateClasses(input, out string _).ToString();
        string resultsCompare = File.ReadAllText(resultPath);
        Assert.AreEqual(resultsCompare.NormalizeOutput(), returnVal.NormalizeOutput());
    }
}